Bug 181766 - xattrs enabled and can't find / create .reiserfs_priv
xattrs enabled and can't find / create .reiserfs_priv
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 182567 (view as bug list)
Depends On:
Blocks: xattrs-tracker
  Show dependency treegraph
 
Reported: 2006-02-16 07:29 EST by Mark Drago
Modified: 2015-01-04 17:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 17:32:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Drago 2006-02-16 07:29:49 EST
Description of problem:
I have a reiserFS filesystem on /dev/hdb1 and would like to mount it at
/mnt/data.  I have an entry in my fstab like this:
/dev/hdb1               /mnt/data               reiserfs defaults        1 2
When booting the filesystem does not get mounted.  I just see an 'operation not
supported' message get printed.  After the system is booted, if I try and mount
the filesystem with 'mount /dev/hdb1 /mnt/data' I get 'mount: Operation not
supported'.  /var/log/messages contains the following:

Feb 16 07:33:47 localhost kernel: ReiserFS: hdb1: found reiserfs format "3.6"
with standard journal
Feb 16 07:33:54 localhost kernel: ReiserFS: hdb1: using ordered data mode
Feb 16 07:33:54 localhost kernel: ReiserFS: hdb1: journal params: device hdb1,
size 8192, journal first block 18, max trans len 1024, max batch 900, max commit
age 30, max trans age 30
Feb 16 07:33:54 localhost kernel: ReiserFS: hdb1: checking transaction log (hdb1)
Feb 16 07:33:54 localhost kernel: ReiserFS: hdb1: Using r5 hash to sort names
Feb 16 07:33:54 localhost kernel: ReiserFS: hdb1: warning: xattrs/ACLs enabled
and couldn't find/create .reiserfs_priv. Failing mount.

Version-Release number of selected component (if applicable):
Linux localhost.localdomain 2.6.15-1.1948_FC5 #1 Mon Feb 13 21:05:36 EST 2006
i686 athlon i386 GNU/Linux

This worked with previous rawhide kernels, the one I had installed before this
one was 2.6.15-1.1884_FC5, so I can't speak for any kernels in between those two
versions.  But 1884 mounted this partition fine.

How reproducible:
always

Additional Info:
I thought that this mailing list post might have describe the problem and the
fix:
https://www.redhat.com/archives/fedora-selinux-list/2005-February/msg00001.html
But, mounting with -oacl doesn't fix the problem.
Comment 1 Mark Drago 2006-02-20 11:41:31 EST
This bug remains in 2.6.15-1.1955_FC5.

I get the same messages in /var/log/messages that I received earlier.  Is there
anything else I can run or information I can provide to make debugging this easier?
Comment 2 Dave Jones 2006-02-20 14:10:16 EST
some of the novell people are looking at fixing reiserfs xattrs upstream, but
I'm not sure the state those patches are in (I don't think they're even in -mm yet).
Comment 3 Dave Jones 2006-02-23 22:38:26 EST
*** Bug 182567 has been marked as a duplicate of this bug. ***
Comment 4 Leo 2006-02-27 09:37:44 EST
Fedora core 5 finaly release is less than 3 weeks away. Will this bug get fixed
on time? If not I can try to transfer data from reserfs partitions and reformat
them as ext3.
Comment 5 Mark Drago 2006-02-28 14:21:18 EST
Dave,

In the first comment on bug 182567 [1] you state that this problem can be
avoided by disabling selinux.  Well, that is what is alluded to when you say to
use 'one or the either' of reiser and selinux.  Is there a way to selectively
disable selinux on certain filesystems.  So, I could use selinux on my root
partition which is ext3, but disable it on my reiser FS?

[1] https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=182567#c1
Comment 6 Dave Jones 2006-03-01 23:51:03 EST
no, it's a system-wide thing.
upstream still hasn't made any real traction on this afaics, so chances are for
fc5, it's going to remain broken.
Comment 7 Dave Jones 2006-10-16 16:47:16 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Mark Drago 2006-10-16 17:23:46 EDT
As the reporter of this bug I feel obliged to note that I no longer have any
systems using reiserfs and therefore I won't be able to test this bug.  It
should be noted that to test this bug one just has to verify that SELinux works
on a system using reiserfs on one of its partitions.  Sorry I couldn't be more
help with this one.  I switched the partition in question to ext3 exactly
because of this bug.
Comment 9 Dave Jones 2006-10-16 17:32:39 EDT
Due to the complete lack of interest upstream in making XATTRs work with reiser
v3, and Red Hat not providing support for this filesystem in RHEL, I don't see
this happening any time soon.

I think the answer is going to be that the two are mutually exclusive.

Note You need to log in before you can comment on or make changes to this bug.